decode-uri-component

> A better decodeURIComponent

# Why?

- Decodes `+` to a space.
- Converts the BOM to a replacement character `�`.
- Does not throw with invalid encoded input.
- Decodes as much of the string as possible.

# Install

$ npm install --save decode-uri-component

# Usage

const decodeUriComponent = require('decode-uri-component');
decodeUriComponent('%25');
//=> '%'
decodeUriComponent('%');
//=> '%'
decodeUriComponent('st%C3%A5le');
//=> 'ståle'
decodeUriComponent('%st%C3%A5le%');
//=> '%ståle%'
decodeUriComponent('%%7Bst%C3%A5le%7D%');
//=> '%{ståle}%'
decodeUriComponent('%7B%ab%%7C%de%%7D');
//=> '{%ab%|%de%}'
decodeUriComponent('%FE%FF');
//=> '\uFFFD\uFFFD'
decodeUriComponent('%C2');
//=> '\uFFFD'
decodeUriComponent('%C2%B5');
//=> 'µ'

# API

## decodeUriComponent(encodedURI)

### encodedURI

Type: `string`

An encoded component of a Uniform Resource Identifier.

# License

MIT © Sam Verschueren